#include <Wt/WApplication> //WApplication
#include <QCoreApplication> //QCoreApplication

#include "GenieProWeb.h" //GenieProWeb
#include "GenieProWebApplication.h"  //GenieProWebApplication

WApplication *createApplication(const WEnvironment& env)
{
  WApplication *app = new GenieProWebApplication(env); //应用程序。
  app->setTitle(L"GeniePro"); //设置窗口标题。
  app->enableUpdates(); //允许从其它线程更新界面。


  return app;
} //WApplication *createApplication(const WEnvironment& env)

/*!
  *@brief 主函数。
  */
int main(int argc, char *argv[])
{
    QCoreApplication App4QtEventLoop(argc,argv); //创建ＱＴ程序对象。

    return WRun(argc, argv, &createApplication);
} //int main(int argc, char *argv[])
